npm install -g angular install issue #5731

Closed
ftaljaard opened this Issue Jul 19, 2014 · 2 comments

Comments

Projects
None yet
4 participants
gyp ERR! configure error
gyp ERR! stack Error: spawn ENOENT
gyp ERR! stack     at errnoException (child_process.js:1000:11)
gyp ERR! stack     at Process.ChildProcess._handle.onexit (child_process.js:791:34)
gyp ERR! System Windows_NT 6.1.7601
gyp ERR! command "node" "C:\\Program Files\\nodejs\\node_modules\\npm\\node_modules\\node-gyp\\bin\\node-gyp.js" "rebuild"
gyp ERR! cwd C:\Users\Francois\AppData\Roaming\npm\node_modules\angular\node_modules\jsdom\node_modules\contextify
gyp ERR! node -v v0.10.29
gyp ERR! node-gyp -v v0.13.1
gyp ERR! not ok
npm ERR! Error: ENOENT, lstat 'C:\Users\Francois\AppData\Roaming\npm\node_modules\angular\node_modules\jsdom\node_modules\cssstyle\lib\properties\borderTopLeftRadius.js'
npm ERR! System Windows_NT 6.1.7601
npm ERR! command "C:\\Program Files\\nodejs\\\\node.exe" "C:\\Program Files\\nodejs\\node_modules\\npm\\bin\\npm-cli.js" "install" "-g" "angular"
npm ERR! cwd C:\Users\Francois\Documents\Work\Projects\Cradle\Granite\Source Code\Release 3.0\Granite
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! path C:\Users\Francois\AppData\Roaming\npm\node_modules\angular\node_modules\jsdom\node_modules\cssstyle\lib\properties\borderTopLeftRadius.js
npm ERR! fstream_path C:\Users\Francois\AppData\Roaming\npm\node_modules\angular\node_modules\jsdom\node_modules\cssstyle\lib\properties\borderTopLeftRadius.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack C:\Program Files\nodejs\node_modules\npm\node_modules\fstream\lib\writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! Error: ENOENT, lstat 'C:\Users\Francois\AppData\Roaming\npm\node_modules\angular\node_modules\jsdom\node_modules\request\node_modules\tough-cookie\lib\cookie.js'

I am also getting the same error

gyp ERR! configure error
gyp ERR! stack Error: spawn ENOENT
gyp ERR! stack     at errnoException (child_process.js:1000:11)
gyp ERR! stack     at Process.ChildProcess._handle.onexit (child_process.js:791:
34)
gyp ERR! System Windows_NT 6.1.7601
gyp ERR! command "node" "C:\\Program Files\\nodejs\\node_modules\\npm\\node_modu
les\\node-gyp\\bin\\node-gyp.js" "rebuild"
gyp ERR! cwd E:\xampp\htdocs\node\nodetest2\node_modules\crawler\node_modules\js
dom\node_modules\contextify
gyp ERR! node -v v0.10.29
gyp ERR! node-gyp -v v0.13.1
gyp ERR! not ok
npm WARN optional dep failed, continuing hawk@1.1.1
npm WARN optional dep failed, continuing form-data@0.1.4
npm ERR! Error: ENOENT, lstat 'E:\xampp\htdocs\node\nodetest2\node_modules\crawl
er\node_modules\qunit\node_modules\istanbul\node_modules\js-yaml\test\unported\s
pec-02-24.data'
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Windows_NT 6.1.7601
npm ERR! command "C:\\Program Files\\nodejs\\\\node.exe" "C:\\Program Files\\nod
ejs\\node_modules\\npm\\bin\\npm-cli.js" "install"
npm ERR! cwd E:\xampp\htdocs\node\nodetest2
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! path E:\xampp\htdocs\node\nodetest2\node_modules\crawler\node_modules\q
unit\node_modules\istanbul\node_modules\js-yaml\test\unported\spec-02-24.data
npm ERR! fstream_path E:\xampp\htdocs\node\nodetest2\node_modules\crawler\node_m
odules\qunit\node_modules\istanbul\node_modules\js-yaml\test\unported\spec-02-24
.data
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack C:\Program Files\nodejs\node_modules\npm\node_modules\fst
ream\lib\writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! Error: ENOENT, lstat 'E:\xampp\htdocs\node\nodetest2\node_modules\crawl
er\node_modules\qunit\node_modules\istanbul\node_modules\fileset\node_modules\gl
ob\test\bash-results.json'
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Windows_NT 6.1.7601
npm ERR! command "C:\\Program Files\\nodejs\\\\node.exe" "C:\\Program Files\\nod
ejs\\node_modules\\npm\\bin\\npm-cli.js" "install"
npm ERR! cwd E:\xampp\htdocs\node\nodetest2
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! path E:\xampp\htdocs\node\nodetest2\node_modules\crawler\node_modules\q
unit\node_modules\istanbul\node_modules\fileset\node_modules\glob\test\bash-resu
lts.json
npm ERR! fstream_path E:\xampp\htdocs\node\nodetest2\node_modules\crawler\node_m
odules\qunit\node_modules\istanbul\node_modules\fileset\node_modules\glob\test\b
ash-results.json
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack C:\Program Files\nodejs\node_modules\npm\node_modules\fst
ream\lib\writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! contextify@0.1.8 install: `node-gyp rebuild`
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the contextify@0.1.8 install script.
npm ERR! This is most likely a problem with the contextify package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR!     node-gyp rebuild
npm ERR! You can get their info via:
npm ERR!     npm owner ls contextify
npm ERR! There is likely additional logging output above.

npm ERR! System Windows_NT 6.1.7601
npm ERR! command "C:\\Program Files\\nodejs\\\\node.exe" "C:\\Program Files\\nod
ejs\\node_modules\\npm\\bin\\npm-cli.js" "install"
npm ERR! cwd E:\xampp\htdocs\node\nodetest2
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! code ELIFECYCLE
npm WARN optional dep failed, continuing uglify-js@2.3.6
npm WARN optional dep failed, continuing istanbul@0.2.16
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR!     E:\xampp\htdocs\node\nodetest2\npm-debug.log
npm ERR! not ok code 0

iarna added the support label Sep 17, 2014

othiym23 added the windows label Sep 21, 2014

Contributor

othiym23 commented Sep 21, 2014

Two things:

  1. You both need to ensure that you have Python and git installed on your Windows machines so node-gyp can do its thing.
  2. The ENOENT errors are due to a number of race conditions around rollback that were fixed as part of npm@2.0.0, which is the latest version.

So make sure you have your toolchains set up for development correctly and upgrade to the newest npm and you should be set.

othiym23 closed this Sep 21, 2014

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment